package de.dass_it.vanhelsing.gui.items;
public class SDDeviceItem extends ItemType implements UserObjectItem{
	private String name;
	private String archivedevice;
	private String devicetype;
	private String mediatype;
	private String autochanger;
	private String changerdevice;
	private String changercommand;
	private String alertcommand;
	private String driveindex;
	private String autoselect;
	private String maximumconcurentjobs;
	private String maximumchangerwait;
	private String maximumrewindwait;
	private String maximumopenwait;
	private String alwaysopen;
	private String volumepollinterval;
	private String closeonpoll;
	//private String maximumOpenWait;
	private String removablemedia;
	private String randomaccess;
	private String requiresmount;
	private String mountpoint;
	private String mountcommand;
	private String unmountcommand;
	private String blockchecksum;
	private String minimumblocksize;
	private String maximumblocksize;
	private String hardwareendofmedium;
	private String fastforwardspacefile;
	private String usemtiocget;
	private String bsfateom;
	private String twoeof;
	private String backwardspacerecord;
	private String backwardspacefile;
	private String forwardspacerecord;
	private String forwardspacefile;
	private String offlineonunmount;
	private String maximumconcurrentjobs;
	private String maximumvolumesize;
	private String maximumfilesize;
	private String blockpositioning;
	private String maximumnetworkbuffersize;
	private String maximumspoolsize;
	private String maximumjobspoolsize;
	private String spooldirectory;
	private String maximumpartsize;
	
	public SDDeviceItem(){}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getArchivedevice() {
		return archivedevice;
	}

	public void setArchivedevice(String archivedevice) {
		this.archivedevice = archivedevice;
	}

	public String getDevicetype() {
		return devicetype;
	}

	public void setDevicetype(String devicetype) {
		this.devicetype = devicetype;
	}

	public String getMediatype() {
		return mediatype;
	}

	public void setMediatype(String mediatype) {
		this.mediatype = mediatype;
	}

	public String getAutochanger() {
		return autochanger;
	}

	public void setAutochanger(String autochanger) {
		this.autochanger = autochanger;
	}

	public String getChangerdevice() {
		return changerdevice;
	}

	public void setChangerdevice(String changerdevice) {
		this.changerdevice = changerdevice;
	}

	public String getChangercommand() {
		return changercommand;
	}

	public void setChangercommand(String changercommand) {
		this.changercommand = changercommand;
	}

	public String getAlertcommand() {
		return alertcommand;
	}

	public void setAlertcommand(String alertcommand) {
		this.alertcommand = alertcommand;
	}

	public String getDriveindex() {
		return driveindex;
	}

	public void setDriveindex(String driveindex) {
		this.driveindex = driveindex;
	}

	public String getAutoselect() {
		return autoselect;
	}

	public void setAutoselect(String autoselect) {
		this.autoselect = autoselect;
	}

	public String getMaximumconcurentjobs() {
		return maximumconcurentjobs;
	}

	public void setMaximumconcurentjobs(String maximumconcurentjobs) {
		this.maximumconcurentjobs = maximumconcurentjobs;
	}

	public String getMaximumchangerwait() {
		return maximumchangerwait;
	}

	public void setMaximumchangerwait(String maximumchangerwait) {
		this.maximumchangerwait = maximumchangerwait;
	}

	public String getMaximumrewindwait() {
		return maximumrewindwait;
	}

	public void setMaximumrewindwait(String maximumrewindwait) {
		this.maximumrewindwait = maximumrewindwait;
	}

	public String getMaximumopenwait() {
		return maximumopenwait;
	}

	public void setMaximumopenwait(String maximumopenwait) {
		this.maximumopenwait = maximumopenwait;
	}

	public String getAlwaysopen() {
		return alwaysopen;
	}

	public void setAlwaysopen(String alwaysopen) {
		this.alwaysopen = alwaysopen;
	}

	public String getVolumepollinterval() {
		return volumepollinterval;
	}

	public void setVolumepollinterval(String volumepollinterval) {
		this.volumepollinterval = volumepollinterval;
	}

	public String getCloseonpoll() {
		return closeonpoll;
	}

	public void setCloseonpoll(String closeonpoll) {
		this.closeonpoll = closeonpoll;
	}

	public String getRemovablemedia() {
		return removablemedia;
	}

	public void setRemovablemedia(String removablemedia) {
		this.removablemedia = removablemedia;
	}

	public String getRandomaccess() {
		return randomaccess;
	}

	public void setRandomaccess(String randomaccess) {
		this.randomaccess = randomaccess;
	}

	public String getRequiresmount() {
		return requiresmount;
	}

	public void setRequiresmount(String requiresmount) {
		this.requiresmount = requiresmount;
	}

	public String getMountpoint() {
		return mountpoint;
	}

	public void setMountpoint(String mountpoint) {
		this.mountpoint = mountpoint;
	}

	public String getMountcommand() {
		return mountcommand;
	}

	public void setMountcommand(String mountcommand) {
		this.mountcommand = mountcommand;
	}

	public String getUnmountcommand() {
		return unmountcommand;
	}

	public void setUnmountcommand(String unmountcommand) {
		this.unmountcommand = unmountcommand;
	}

	public String getBlockchecksum() {
		return blockchecksum;
	}

	public void setBlockchecksum(String blockchecksum) {
		this.blockchecksum = blockchecksum;
	}

	public String getMinimumblocksize() {
		return minimumblocksize;
	}

	public void setMinimumblocksize(String minimumblocksize) {
		this.minimumblocksize = minimumblocksize;
	}

	public String getMaximumblocksize() {
		return maximumblocksize;
	}

	public void setMaximumblocksize(String maximumblocksize) {
		this.maximumblocksize = maximumblocksize;
	}

	public String getHardwareendofmedium() {
		return hardwareendofmedium;
	}

	public void setHardwareendofmedium(String hardwareendofmedium) {
		this.hardwareendofmedium = hardwareendofmedium;
	}

	public String getFastforwardspacefile() {
		return fastforwardspacefile;
	}

	public void setFastforwardspacefile(String fastforwardspacefile) {
		this.fastforwardspacefile = fastforwardspacefile;
	}

	public String getUsemtiocget() {
		return usemtiocget;
	}

	public void setUsemtiocget(String usemtiocget) {
		this.usemtiocget = usemtiocget;
	}

	public String getBsfateom() {
		return bsfateom;
	}

	public void setBsfateom(String bsfateom) {
		this.bsfateom = bsfateom;
	}

	public String getTwoeof() {
		return twoeof;
	}

	public void setTwoeof(String twoeof) {
		this.twoeof = twoeof;
	}

	public String getBackwardspacerecord() {
		return backwardspacerecord;
	}

	public void setBackwardspacerecord(String backwardspacerecord) {
		this.backwardspacerecord = backwardspacerecord;
	}

	public String getBackwardspacefile() {
		return backwardspacefile;
	}

	public void setBackwardspacefile(String backwardspacefile) {
		this.backwardspacefile = backwardspacefile;
	}

	public String getForwardspacerecord() {
		return forwardspacerecord;
	}

	public void setForwardspacerecord(String forwardspacerecord) {
		this.forwardspacerecord = forwardspacerecord;
	}

	public String getForwardspacefile() {
		return forwardspacefile;
	}

	public void setForwardspacefile(String forwardspacefile) {
		this.forwardspacefile = forwardspacefile;
	}

	public String getOfflineonunmount() {
		return offlineonunmount;
	}

	public void setOfflineonunmount(String offlineonunmount) {
		this.offlineonunmount = offlineonunmount;
	}

	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}

	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}

	public String getMaximumvolumesize() {
		return maximumvolumesize;
	}

	public void setMaximumvolumesize(String maximumvolumesize) {
		this.maximumvolumesize = maximumvolumesize;
	}

	public String getMaximumfilesize() {
		return maximumfilesize;
	}

	public void setMaximumfilesize(String maximumfilesize) {
		this.maximumfilesize = maximumfilesize;
	}

	public String getBlockpositioning() {
		return blockpositioning;
	}

	public void setBlockpositioning(String blockpositioning) {
		this.blockpositioning = blockpositioning;
	}

	public String getMaximumnetworkbuffersize() {
		return maximumnetworkbuffersize;
	}

	public void setMaximumnetworkbuffersize(String maximumnetworkbuffersize) {
		this.maximumnetworkbuffersize = maximumnetworkbuffersize;
	}

	public String getMaximumspoolsize() {
		return maximumspoolsize;
	}

	public void setMaximumspoolsize(String maximumspoolsize) {
		this.maximumspoolsize = maximumspoolsize;
	}

	public String getMaximumjobspoolsize() {
		return maximumjobspoolsize;
	}

	public void setMaximumjobspoolsize(String maximumjobspoolsize) {
		this.maximumjobspoolsize = maximumjobspoolsize;
	}

	public String getSpooldirectory() {
		return spooldirectory;
	}

	public void setSpooldirectory(String spooldirectory) {
		this.spooldirectory = spooldirectory;
	}

	public String getMaximumpartsize() {
		return maximumpartsize;
	}

	public void setMaximumpartsize(String maximumpartsize) {
		this.maximumpartsize = maximumpartsize;
	}

	
	
}
